{% extends 'base.html.twig' %}

{% block title %} Search Users List from gorest.co.in {% endblock %}

{% block main %}
    <table class="table table-bordered table-hover">
        <thead class="thead-light">
        <tr>
            <th>ID</th>
            <th>Name</th>
            <th>E-mail</th>
            <th>Gender</th>
            <th>Status</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        {% for user in users.data %}
            <tr>
                <td>{{ user.id }}</td>
                <td>{{ user.name }}</td>
                <td>{{ user.email }}</td>
                <td>{{ user.gender }}</td>
                <td>{{ user.status }}</td>
                <td>
                    <div class="btn-group" role="group" aria-label="Basic example">
                        <button type="button" class="btn btn-outline-info">
                            <a href="{{ path('updateUser', {'userId': user.id}) }}">UPDATE
                        </button>
                        <button type="button" class="btn btn-outline-danger">
                            <a href="{{ path('removeUser', {'userId': user.id}) }}">REMOVE</a>
                        </button>
                    </div>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
    <nav aria-label="Page navigation example">
        <ul class="pagination justify-content-center">
            <li class="page-item"><a class="page-link" href="#" tabindex="-1">Previous</a></li>
            <li class="page-item"><a class="page-link" href="#">{{ users.meta.pagination.page }}</a></li>
            <li class="page-item"><a class="page-link" href="#">...</a></li>
            <li class="page-item"><a class="page-link" href="#">{{ users.meta.pagination.pages }}</a></li>
            <li class="page-item"><a class="page-link" href="#">Next</a></li>
            <li class="page-item"><a class="page-link" href="#">Total users: {{ users.meta.pagination.total }}</a></li>
        </ul>
    </nav>
{% endblock %}




